﻿using HeuristicLab.Core;
using HeuristicLab.Random;

namespace HeuristicLab.Algorithms.PushGP.Generators
{
    public class FloatGenerator
    {
        private static IRandom rand = new FastRandom();

        public static double RandomFloat(double min = double.MinValue, double max = double.MaxValue)
        {
            return rand.NextDouble() * (max - min) + min;
        }
    }
}
